/*
 * This file is part of the LibreOffice project.
 *
 * Based on LLVM/Clang.
 *
 * This file is distributed under the University of Illinois Open Source
 * License. See LICENSE.TXT for details.
 *
 */

#ifndef UNUSEDSTRINGCHECK_H
#define UNUSEDSTRINGCHECK_H

#include <clang/AST/RecursiveASTVisitor.h>

using namespace clang;

namespace loplugin
{

typedef std::vector< const Stmt* > StmtParents;

class UnusedStringCheck
    : public RecursiveASTVisitor< UnusedStringCheck >
    {
    public:
        explicit UnusedStringCheck( ASTContext& context );
        void run();
        bool VisitNamedDecl( NamedDecl* declaration );
    private:
        ASTContext& context;
    };

} // namespace

#endif // UNUSEDSTRINGCHECK_H
